# Formaty
A simple configurable binary data parser. Data structures are described using TOML files.

## Formats
All formats in [formats](./formats) are included in the `formaty` binary. See [formats.md](./formats/formats.md) for
more info.

## Example
```bash
./formaty ccsds "[0xe0, 0xa1, 0xc0, 0x00, 0x00, 0x05, 0x01, 0x02, 0x03, 0x04, 0x05]"
````

Output:
```
Version Number: 0
Packet Type: 1
Secondary Header Flag: 0
APID: 0x200
Sequence Flags: 3
Packet Sequence Count: 0
Data Length: 5
Data: [1, 2, 3, 4, 5]
```

## Help
```
Formaty 0.1.0
Arbitrary Binary Data Formatting

USAGE:
    formaty [OPTIONS] <format> [data]...

FLAGS:
    -h, --help       Prints help information
    -V, --version    Prints version information

OPTIONS:
    -c, --config <config>    Path to the format config

ARGS:
    <format>     Format to parse data as
    <data>...    Raw data
```

## License
[License](./LICENSE)